diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/helper/radio-bearer-stats-calculator.cc ns-3.40/src/lte/helper/radio-bearer-stats-calculator.cc
--- ns-3.39/src/lte/helper/radio-bearer-stats-calculator.cc	2023-07-05 14:23:47.901427700 -0700
+++ ns-3.40/src/lte/helper/radio-bearer-stats-calculator.cc	2023-09-27 13:30:37.702839100 -0700
@@ -189,7 +189,7 @@
         m_ulRxPackets[p]++;
         m_ulRxData[p] += packetSize;
 
-        Uint64StatsMap::iterator it = m_ulDelay.find(p);
+        auto it = m_ulDelay.find(p);
         if (it == m_ulDelay.end())
         {
             NS_LOG_DEBUG(this << " Creating UL stats calculators for IMSI " << p.m_imsi
@@ -220,7 +220,7 @@
         m_dlRxPackets[p]++;
         m_dlRxData[p] += packetSize;
 
-        Uint64StatsMap::iterator it = m_dlDelay.find(p);
+        auto it = m_dlDelay.find(p);
         if (it == m_dlDelay.end())
         {
             NS_LOG_DEBUG(this << " Creating DL stats calculators for IMSI " << p.m_imsi
@@ -298,7 +298,7 @@
 
     // Get the unique IMSI/LCID pairs list
     std::vector<ImsiLcidPair_t> pairVector;
-    for (Uint32Map::iterator it = m_ulTxPackets.begin(); it != m_ulTxPackets.end(); ++it)
+    for (auto it = m_ulTxPackets.begin(); it != m_ulTxPackets.end(); ++it)
     {
         if (find(pairVector.begin(), pairVector.end(), (*it).first) == pairVector.end())
         {
@@ -306,7 +306,7 @@
         }
     }
 
-    for (Uint32Map::iterator it = m_ulRxPackets.begin(); it != m_ulRxPackets.end(); ++it)
+    for (auto it = m_ulRxPackets.begin(); it != m_ulRxPackets.end(); ++it)
     {
         if (find(pairVector.begin(), pairVector.end(), (*it).first) == pairVector.end())
         {
@@ -315,11 +315,10 @@
     }
 
     Time endTime = m_startTime + m_epochDuration;
-    for (std::vector<ImsiLcidPair_t>::iterator it = pairVector.begin(); it != pairVector.end();
-         ++it)
+    for (auto it = pairVector.begin(); it != pairVector.end(); ++it)
     {
         ImsiLcidPair_t p = *it;
-        FlowIdMap::const_iterator flowIdIt = m_flowId.find(p);
+        auto flowIdIt = m_flowId.find(p);
         NS_ASSERT_MSG(flowIdIt != m_flowId.end(),
                       "FlowId (imsi " << p.m_imsi << " lcid " << (uint32_t)p.m_lcId
                                       << ") is missing");
@@ -337,12 +336,12 @@
         outFile << GetUlRxPackets(p.m_imsi, p.m_lcId) << "\t";
         outFile << GetUlRxData(p.m_imsi, p.m_lcId) << "\t";
         std::vector<double> stats = GetUlDelayStats(p.m_imsi, p.m_lcId);
-        for (std::vector<double>::iterator it = stats.begin(); it != stats.end(); ++it)
+        for (auto it = stats.begin(); it != stats.end(); ++it)
         {
             outFile << (*it) * 1e-9 << "\t";
         }
         stats = GetUlPduSizeStats(p.m_imsi, p.m_lcId);
-        for (std::vector<double>::iterator it = stats.begin(); it != stats.end(); ++it)
+        for (auto it = stats.begin(); it != stats.end(); ++it)
         {
             outFile << (*it) << "\t";
         }
@@ -359,7 +358,7 @@
 
     // Get the unique IMSI/LCID pairs list
     std::vector<ImsiLcidPair_t> pairVector;
-    for (Uint32Map::iterator it = m_dlTxPackets.begin(); it != m_dlTxPackets.end(); ++it)
+    for (auto it = m_dlTxPackets.begin(); it != m_dlTxPackets.end(); ++it)
     {
         if (find(pairVector.begin(), pairVector.end(), (*it).first) == pairVector.end())
         {
@@ -367,7 +366,7 @@
         }
     }
 
-    for (Uint32Map::iterator it = m_dlRxPackets.begin(); it != m_dlRxPackets.end(); ++it)
+    for (auto it = m_dlRxPackets.begin(); it != m_dlRxPackets.end(); ++it)
     {
         if (find(pairVector.begin(), pairVector.end(), (*it).first) == pairVector.end())
         {
@@ -376,11 +375,10 @@
     }
 
     Time endTime = m_startTime + m_epochDuration;
-    for (std::vector<ImsiLcidPair_t>::iterator pair = pairVector.begin(); pair != pairVector.end();
-         ++pair)
+    for (auto pair = pairVector.begin(); pair != pairVector.end(); ++pair)
     {
         ImsiLcidPair_t p = *pair;
-        FlowIdMap::const_iterator flowIdIt = m_flowId.find(p);
+        auto flowIdIt = m_flowId.find(p);
         NS_ASSERT_MSG(flowIdIt != m_flowId.end(),
                       "FlowId (imsi " << p.m_imsi << " lcid " << (uint32_t)p.m_lcId
                                       << ") is missing");
@@ -398,12 +396,12 @@
         outFile << GetDlRxPackets(p.m_imsi, p.m_lcId) << "\t";
         outFile << GetDlRxData(p.m_imsi, p.m_lcId) << "\t";
         std::vector<double> stats = GetDlDelayStats(p.m_imsi, p.m_lcId);
-        for (std::vector<double>::iterator it = stats.begin(); it != stats.end(); ++it)
+        for (auto it = stats.begin(); it != stats.end(); ++it)
         {
             outFile << (*it) * 1e-9 << "\t";
         }
         stats = GetDlPduSizeStats(p.m_imsi, p.m_lcId);
-        for (std::vector<double>::iterator it = stats.begin(); it != stats.end(); ++it)
+        for (auto it = stats.begin(); it != stats.end(); ++it)
         {
             outFile << (*it) << "\t";
         }
@@ -492,7 +490,7 @@
 {
     NS_LOG_FUNCTION(this << imsi << (uint16_t)lcid);
     ImsiLcidPair_t p(imsi, lcid);
-    Uint64StatsMap::iterator it = m_ulDelay.find(p);
+    auto it = m_ulDelay.find(p);
     if (it == m_ulDelay.end())
     {
         NS_LOG_ERROR("UL delay for " << imsi << " - " << (uint16_t)lcid << " not found");
@@ -507,7 +505,7 @@
     NS_LOG_FUNCTION(this << imsi << (uint16_t)lcid);
     ImsiLcidPair_t p(imsi, lcid);
     std::vector<double> stats;
-    Uint64StatsMap::iterator it = m_ulDelay.find(p);
+    auto it = m_ulDelay.find(p);
     if (it == m_ulDelay.end())
     {
         stats.push_back(0.0);
@@ -529,7 +527,7 @@
     NS_LOG_FUNCTION(this << imsi << (uint16_t)lcid);
     ImsiLcidPair_t p(imsi, lcid);
     std::vector<double> stats;
-    Uint32StatsMap::iterator it = m_ulPduSize.find(p);
+    auto it = m_ulPduSize.find(p);
     if (it == m_ulPduSize.end())
     {
         stats.push_back(0.0);
@@ -598,7 +596,7 @@
 {
     NS_LOG_FUNCTION(this << imsi << (uint16_t)lcid);
     ImsiLcidPair_t p(imsi, lcid);
-    Uint64StatsMap::iterator it = m_dlDelay.find(p);
+    auto it = m_dlDelay.find(p);
     if (it == m_dlDelay.end())
     {
         NS_LOG_ERROR("DL delay for " << imsi << " not found");
@@ -613,7 +611,7 @@
     NS_LOG_FUNCTION(this << imsi << (uint16_t)lcid);
     ImsiLcidPair_t p(imsi, lcid);
     std::vector<double> stats;
-    Uint64StatsMap::iterator it = m_dlDelay.find(p);
+    auto it = m_dlDelay.find(p);
     if (it == m_dlDelay.end())
     {
         stats.push_back(0.0);
@@ -635,7 +633,7 @@
     NS_LOG_FUNCTION(this << imsi << (uint16_t)lcid);
     ImsiLcidPair_t p(imsi, lcid);
     std::vector<double> stats;
-    Uint32StatsMap::iterator it = m_dlPduSize.find(p);
+    auto it = m_dlPduSize.find(p);
     if (it == m_dlPduSize.end())
     {
         stats.push_back(0.0);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/helper/radio-bearer-stats-connector.cc ns-3.40/src/lte/helper/radio-bearer-stats-connector.cc
--- ns-3.39/src/lte/helper/radio-bearer-stats-connector.cc	2023-07-05 14:23:47.901427700 -0700
+++ ns-3.40/src/lte/helper/radio-bearer-stats-connector.cc	2023-09-27 13:30:37.702839100 -0700
@@ -259,7 +259,7 @@
     CellIdRnti key;
     key.cellId = cellId;
     key.rnti = rnti;
-    std::map<CellIdRnti, std::string>::iterator it = m_ueManagerPathByCellIdRnti.find(key);
+    auto it = m_ueManagerPathByCellIdRnti.find(key);
     NS_ASSERT(it != m_ueManagerPathByCellIdRnti.end());
     std::string ueManagerPath = it->second;
     NS_LOG_LOGIC("ueManagerPath = " << ueManagerPath);
@@ -290,7 +290,7 @@
     CellIdRnti key;
     key.cellId = cellId;
     key.rnti = rnti;
-    std::map<CellIdRnti, std::string>::iterator it = m_ueManagerPathByCellIdRnti.find(key);
+    auto it = m_ueManagerPathByCellIdRnti.find(key);
     NS_ASSERT(it != m_ueManagerPathByCellIdRnti.end());
     std::string ueManagerPath = it->second;
     NS_LOG_LOGIC("ueManagerPath = " << ueManagerPath);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/helper/radio-environment-map-helper.cc ns-3.40/src/lte/helper/radio-environment-map-helper.cc
--- ns-3.39/src/lte/helper/radio-environment-map-helper.cc	2023-07-05 14:23:47.901427700 -0700
+++ ns-3.40/src/lte/helper/radio-environment-map-helper.cc	2023-09-27 13:30:37.706839300 -0700
@@ -306,7 +306,7 @@
 RadioEnvironmentMapHelper::RunOneIteration(double xMin, double xMax, double yMin, double yMax)
 {
     NS_LOG_FUNCTION(this << xMin << xMax << yMin << yMax);
-    std::list<RemPoint>::iterator remIt = m_rem.begin();
+    auto remIt = m_rem.begin();
     double x = 0.0;
     double y = 0.0;
     for (x = xMin; x < xMax + 0.5 * m_xStep; x += m_xStep)
@@ -342,7 +342,7 @@
 {
     NS_LOG_FUNCTION(this);
 
-    for (std::list<RemPoint>::iterator it = m_rem.begin(); it != m_rem.end(); ++it)
+    for (auto it = m_rem.begin(); it != m_rem.end(); ++it)
     {
         if (!(it->phy->IsActive()))
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/a2-a4-rsrq-handover-algorithm.cc ns-3.40/src/lte/model/a2-a4-rsrq-handover-algorithm.cc
--- ns-3.39/src/lte/model/a2-a4-rsrq-handover-algorithm.cc	2023-07-05 14:23:47.901427700 -0700
+++ ns-3.40/src/lte/model/a2-a4-rsrq-handover-algorithm.cc	2023-09-27 13:30:37.706839300 -0700
@@ -149,8 +149,7 @@
     {
         if (measResults.haveMeasResultNeighCells && !measResults.measResultListEutra.empty())
         {
-            for (std::list<LteRrcSap::MeasResultEutra>::iterator it =
-                     measResults.measResultListEutra.begin();
+            for (auto it = measResults.measResultListEutra.begin();
                  it != measResults.measResultListEutra.end();
                  ++it)
             {
@@ -177,8 +176,7 @@
 {
     NS_LOG_FUNCTION(this << rnti << (uint16_t)servingCellRsrq);
 
-    MeasurementTable_t::iterator it1;
-    it1 = m_neighbourCellMeasures.find(rnti);
+    auto it1 = m_neighbourCellMeasures.find(rnti);
 
     if (it1 == m_neighbourCellMeasures.end())
     {
@@ -191,8 +189,7 @@
         NS_LOG_LOGIC("Number of neighbour cells = " << it1->second.size());
         uint16_t bestNeighbourCellId = 0;
         uint8_t bestNeighbourRsrq = 0;
-        MeasurementRow_t::iterator it2;
-        for (it2 = it1->second.begin(); it2 != it1->second.end(); ++it2)
+        for (auto it2 = it1->second.begin(); it2 != it1->second.end(); ++it2)
         {
             if ((it2->second->m_rsrq > bestNeighbourRsrq) && IsValidNeighbour(it2->first))
             {
@@ -239,23 +236,20 @@
 A2A4RsrqHandoverAlgorithm::UpdateNeighbourMeasurements(uint16_t rnti, uint16_t cellId, uint8_t rsrq)
 {
     NS_LOG_FUNCTION(this << rnti << cellId << (uint16_t)rsrq);
-    MeasurementTable_t::iterator it1;
-    it1 = m_neighbourCellMeasures.find(rnti);
+    auto it1 = m_neighbourCellMeasures.find(rnti);
 
     if (it1 == m_neighbourCellMeasures.end())
     {
         // insert a new UE entry
         MeasurementRow_t row;
-        std::pair<MeasurementTable_t::iterator, bool> ret;
-        ret = m_neighbourCellMeasures.insert(std::pair<uint16_t, MeasurementRow_t>(rnti, row));
+        auto ret = m_neighbourCellMeasures.insert(std::pair<uint16_t, MeasurementRow_t>(rnti, row));
         NS_ASSERT(ret.second);
         it1 = ret.first;
     }
 
     NS_ASSERT(it1 != m_neighbourCellMeasures.end());
     Ptr<UeMeasure> neighbourCellMeasures;
-    std::map<uint16_t, Ptr<UeMeasure>>::iterator it2;
-    it2 = it1->second.find(cellId);
+    auto it2 = it1->second.find(cellId);
 
     if (it2 != it1->second.end())
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/a3-rsrp-handover-algorithm.cc ns-3.40/src/lte/model/a3-rsrp-handover-algorithm.cc
--- ns-3.39/src/lte/model/a3-rsrp-handover-algorithm.cc	2023-07-05 14:23:47.901427700 -0700
+++ ns-3.40/src/lte/model/a3-rsrp-handover-algorithm.cc	2023-09-27 13:30:37.706839300 -0700
@@ -135,8 +135,7 @@
         uint16_t bestNeighbourCellId = 0;
         uint8_t bestNeighbourRsrp = 0;
 
-        for (std::list<LteRrcSap::MeasResultEutra>::iterator it =
-                 measResults.measResultListEutra.begin();
+        for (auto it = measResults.measResultListEutra.begin();
              it != measResults.measResultListEutra.end();
              ++it)
         {
